Bug 235605 - graphics/bsd-plotutils: fix
Summary: graphics/bsd-plotutils: fix
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-02-08 16:43 UTC by Łukasz Derlatka
Modified: 2019-02-10 21:18 UTC (History)
1 user (show)

See Also:


Attachments
patch (1.05 KB, patch)
2019-02-08 16:43 UTC, Łukasz Derlatka
no flags Details | Diff
patch v2 (430 bytes, patch)
2019-02-09 02:32 UTC, Łukasz Derlatka
no flags Details | Diff
patch v3 (1.05 KB, patch)
2019-02-09 03:36 UTC, Łukasz Derlatka
no flags Details | Diff
patch v4 (1.05 KB, patch)
2019-02-09 04:00 UTC, Łukasz Derlatka
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Łukasz Derlatka 2019-02-08 16:43:49 UTC
Created attachment 201844 [details]
patch

Fixed in upstream
Comment 1 Łukasz Derlatka 2019-02-09 02:32:18 UTC
Created attachment 201859 [details]
patch v2
Comment 2 Łukasz Derlatka 2019-02-09 02:32:32 UTC
Cannot be packaged due to fake root on build server and hardcoded flags -o and -g in makefile templates in base system.
Comment 3 Łukasz Derlatka 2019-02-09 03:36:03 UTC
I'm created simple workaround but I am not sure is it working: https://github.com/Toranktto/bsd-plotutils/blob/master/scripts/install-fakeroot.sh
Comment 4 Łukasz Derlatka 2019-02-09 03:36:31 UTC
Created attachment 201860 [details]
patch v3
Comment 5 Łukasz Derlatka 2019-02-09 04:00:06 UTC
Created attachment 201861 [details]
patch v4

It seems to work, I'm using FreeBSD 12.0-RELEASE.
Comment 6 commit-hook freebsd_committer 2019-02-10 21:17:50 UTC
A commit references this bug:

Author: swills
Date: Sun Feb 10 21:17:35 UTC 2019
New revision: 492648
URL: https://svnweb.freebsd.org/changeset/ports/492648

Log:
  graphics/bsd-plotutils: update to 1.4.2

  PR:		235605
  Submitted by:	?ukasz Derlatka <toranktto@gmail.com> (maintainer)

Changes:
  head/graphics/bsd-plotutils/Makefile
  head/graphics/bsd-plotutils/distinfo
Comment 7 Steve Wills freebsd_committer 2019-02-10 21:18:59 UTC
Committed, thanks!